# Sourcing Options (DOMS)

Endpoints for processing the routing decision logs.

## POST /api/routing/sourcingoptions

> Create sourcing option

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for processing the routing decision logs.","name":"Sourcing Options (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"SourcingOptionsRequest":{"properties":{"additionalInfo":{"$ref":"#/components/schemas/SourcingOptionsRequestAdditionalInfo"},"optimizationHints":{"$ref":"#/components/schemas/OptimizationHints"},"order":{"$ref":"#/components/schemas/OrderForSourcingOptionsRequest"},"resourceInvestment":{"$ref":"#/components/schemas/ResourceInvestment"}},"required":["order"],"type":"object","title":"SourcingOptionsRequest","description":"SourcingOptionsRequest"},"SourcingOptionsRequestAdditionalInfo":{"properties":{"includeListingCustomAttributes":{"default":false,"description":"If true, the listing custom attributes are included in the response. This is useful for debugging purposes.","type":"boolean"}},"type":"object","title":"SourcingOptionsRequestAdditionalInfo","description":"SourcingOptionsRequestAdditionalInfo"},"OptimizationHints":{"properties":{"includeCalculationHints":{"default":false,"description":"Should only be used for debugging. Includes more information on how we calculated the response.","type":"boolean"},"requestedResultCount":{"default":1,"description":"Number of different results we calculated","maximum":20,"type":"integer"}},"type":"object","title":"OptimizationHints","description":"OptimizationHints"},"OrderForSourcingOptionsRequest":{"additionalProperties":false,"properties":{"consumer":{"$ref":"#/components/schemas/ConsumerAddressesForSourcingOptions"},"customAttributes":{"description":"Attributes that can be added to the order. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"customServices":{"items":{"$ref":"#/components/schemas/CustomServiceReferenceForCreation"},"minItems":1,"type":"array"},"deliveryPreferences":{"$ref":"#/components/schemas/DeliveryPreferences"},"orderDate":{"description":"The date this order was created at the supplying system.","format":"date-time","type":"string"},"orderLineItems":{"items":{"$ref":"#/components/schemas/OrderLineItemForCreation"},"type":"array"},"paymentInfo":{"$ref":"#/components/schemas/OrderPaymentInfoForCreation"},"promisesOptions":{"$ref":"#/components/schemas/OrderPromisesOptions"},"status":{"$ref":"#/components/schemas/OrderStatus"},"statusReasons":{"items":{"$ref":"#/components/schemas/OrderStatusReason"},"type":"array"},"stickers":{"items":{"$ref":"#/components/schemas/Sticker"},"maxItems":100,"minItems":1,"type":"array"},"tenantOrderId":{"description":"Field can be used as a reference number in foreign systems, for example as a reference to the source system's identifier for this order.","type":"string"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"minItems":1,"type":"array"}},"required":["consumer"],"type":"object","xml":{"name":"OrderForSourcingOptionsRequest"},"title":"OrderForSourcingOptionsRequest","description":"OrderForSourcingOptionsRequest"},"ConsumerAddressesForSourcingOptions":{"properties":{"addresses":{"items":{"$ref":"#/components/schemas/ConsumerAddressForSourcingOptions"},"type":"array"},"consumerId":{"description":"The id of the consumer.","type":"string"},"customAttributes":{"description":"Attributes that can be added to the consumer. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"facilityRef":{"type":"string"},"tenantFacilityId":{"type":"string"}},"type":"object","title":"ConsumerAddressesForSourcingOptions","description":"ConsumerAddressesForSourcingOptions"},"ConsumerAddressForSourcingOptions":{"additionalProperties":false,"properties":{"additionalAddressInfo":{"type":"string"},"addressType":{"$ref":"#/components/schemas/AddressType"},"city":{"description":"The city of the address.","type":"string"},"companyName":{"type":"string"},"coordinates":{"$ref":"#/components/schemas/Coordinates"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"email":{"format":"email","minLength":1,"type":"string"},"firstName":{"type":"string"},"houseNumber":{"pattern":"^.+$","type":"string"},"lastName":{"type":"string"},"personalTitle":{"type":"string"},"phoneNumbers":{"items":{"$ref":"#/components/schemas/ConsumerAddressForSourcingOptionsPhoneNumber"},"type":"array"},"postalCode":{"description":"The postal code of the address.","type":"string"},"province":{"pattern":"^.+$","type":"string"},"salutation":{"type":"string"},"street":{"description":"The street of the address.","type":"string"}},"required":["country"],"title":"ConsumerAddressForSourcingOptions","description":"ConsumerAddressForSourcingOptions"},"AddressType":{"description":"Type of this address, used e.g. for communication with the carrier. Use POSTAL_ADDRESS for the address where the order should be shipped to, INVOICE_ADDRESS for the address where the invoice is sent to and PARCEL_LOCKER if a parcel locker is used for this order.","enum":["POSTAL_ADDRESS","PARCEL_LOCKER","INVOICE_ADDRESS"],"type":"string","title":"AddressType"},"Coordinates":{"description":"Coordinates of the WGS84 geodetic reference system in Mercator projection, as used e.g. by the Google Maps API","properties":{"lat":{"description":"Latitude value","type":"number"},"lon":{"description":"Longitude value","type":"number"}},"required":["lat","lon"],"type":"object","title":"Coordinates"},"ConsumerAddressForSourcingOptionsPhoneNumber":{"additionalProperties":false,"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object","title":"ConsumerAddressForSourcingOptionsPhoneNumber","description":"ConsumerAddressForSourcingOptionsPhoneNumber"},"CustomServiceReferenceForCreation":{"additionalProperties":false,"properties":{"articleItems":{"items":{"$ref":"#/components/schemas/ArticleItem"},"type":"array"},"customServiceDefinition":{"$ref":"#/components/schemas/CustomServiceDefinition"},"customServiceItems":{"items":{"$ref":"#/components/schemas/CustomServiceItemForCreation"},"type":"array"}},"required":["customServiceDefinition","articleItems","customServiceItems"],"type":"object","title":"CustomServiceReferenceForCreation","description":"CustomServiceReferenceForCreation"},"ArticleItem":{"additionalProperties":false,"properties":{"quantity":{"minimum":1,"type":"number"},"tenantArticleRef":{"type":"string"}},"required":["quantity","tenantArticleRef"],"type":"object","title":"ArticleItem","description":"ArticleItem"},"CustomServiceDefinition":{"properties":{"additionalInformation":{"description":"Additional information necessary to fulfil the custom service","items":{"properties":{"additionalInformationRef":{"description":"A reference to the specific additional information of the custom service","type":"string"},"tenantAdditionalInformationId":{"description":"The id of the tenant specific additional information","type":"string"},"value":{"anyOf":[{"type":"string"},{"type":"integer"},{"type":"number"},{"type":"boolean"}],"description":"The value of the additional information"}},"required":["additionalInformationRef"],"type":"object"},"type":"array"},"customAttributes":{"description":"Attributes that can be added to the consumer. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"customServiceRef":{"description":"A reference to the custom service to be applied to the orderline items","type":"string"},"isBundled":{"description":"if true all articles below this service are intrpreted as a bundle","type":"boolean"},"tenantCustomServiceId":{"description":"The id of the tenant specific custom service","type":"string"}},"type":"object","title":"CustomServiceDefinition","description":"CustomServiceDefinition"},"CustomServiceItemForCreation":{"additionalProperties":false,"properties":{"articleItems":{"items":{"$ref":"#/components/schemas/ArticleItem"},"type":"array"},"customServiceDefinition":{"$ref":"#/components/schemas/CustomServiceDefinition"},"customServiceItems":{"items":{"$ref":"#/components/schemas/CustomServiceItemForCreation"},"type":"array"}},"required":["customServiceItems","articleItems","customServiceDefinition"],"type":"object","title":"CustomServiceItemForCreation","description":"CustomServiceItemForCreation"},"DeliveryPreferences":{"additionalProperties":false,"properties":{"collect":{"items":{"$ref":"#/components/schemas/CollectDelivery"},"maxItems":1,"type":"array"},"reservationPreferences":{"$ref":"#/components/schemas/DeliveryReservationPreferences"},"shipping":{"$ref":"#/components/schemas/DeliveryPreferencesShipping"},"sourcingOptionRefs":{"description":"Id of the SourcingOptions","items":{"description":"Reference of a SourcingOptions","type":"string"},"type":"array"},"supplyingFacilities":{"description":"@deprecated Use supplyingFacilities under collect","items":{"description":"Reference of a Facility","type":"string"},"type":"array"},"targetTime":{"description":"At which time the result is expected.","format":"date-time","type":"string"}},"type":"object","title":"DeliveryPreferences","description":"DeliveryPreferences"},"CollectDelivery":{"anyOf":[{"required":["facilityRef"]},{"required":["tenantFacilityId"]}],"properties":{"facilityRef":{"description":"Reference to the facility where the consumer expects to collect the items","type":"string"},"paid":{"default":false,"description":"Indicates if the order is already paid.","type":"boolean"},"provisioningTime":{"description":"The point in time by which the order is supposed to be provisioned.","format":"date-time","type":"string"},"supplyingFacilities":{"deprecated":true,"description":"@deprecated Use supplyingFacilitiesConfigurations","items":{"description":"Reference of a Facility.","type":"string"},"type":"array"},"supplyingFacilitiesConfigurations":{"description":"References of facility that could supply contents of the order to another facility with specific configuration of its usage","items":{"$ref":"#/components/schemas/SupplyingFacilityConfiguration"},"type":"array"},"tenantFacilityId":{"description":"Reference to the facility where the consumer expects to collect the items.","type":"string"}},"type":"object","title":"CollectDelivery","description":"CollectDelivery"},"SupplyingFacilityConfiguration":{"anyOf":[{"required":["facilityRef"]},{"required":["tenantFacilityId"]}],"properties":{"deliveryEvents":{"items":{"$ref":"#/components/schemas/DeliveryEvent"},"type":"array"},"facilityRef":{"description":"ID of the facility.","type":"string"},"tenantFacilityId":{"description":"Reference to the facility.","type":"string"}},"required":["deliveryEvents"],"title":"SupplyingFacilityConfiguration","description":"SupplyingFacilityConfiguration"},"DeliveryEvent":{"properties":{"deliveryTarget":{"$ref":"#/components/schemas/DeliveryTarget"},"deliveryTrigger":{"enum":["DEFAULT"],"type":"string"}},"required":["deliveryTarget","deliveryTrigger"],"title":"DeliveryEvent","description":"DeliveryEvent"},"DeliveryTarget":{"description":"The destination for a delivery","enum":["SHIP_TO_STORE","SHIP_TO_CUSTOMER"],"type":"string","title":"DeliveryTarget"},"DeliveryReservationPreferences":{"properties":{"mode":{"$ref":"#/components/schemas/DeliveryReservationMode"},"reservationTime":{"format":"date-time","type":"string"}},"required":["mode"],"type":"object","title":"DeliveryReservationPreferences","description":"DeliveryReservationPreferences"},"DeliveryReservationMode":{"enum":["SCHEDULED","ASAP","ALAP"],"title":"DeliveryReservationMode","description":"DeliveryReservationMode"},"DeliveryPreferencesShipping":{"properties":{"carrierProductCategory":{"$ref":"#/components/schemas/CarrierProductCategory"},"desiredDeliveryTime":{"format":"date-time","type":"string"},"preferredCarriers":{"items":{"$ref":"#/components/schemas/PreferredCarrier"},"type":"array"},"preferredCarriersWithProduct":{"items":{"$ref":"#/components/schemas/PreferredCarrierWithProduct"},"type":"array"},"preselectedFacilities":{"items":{"$ref":"#/components/schemas/PreselectedFacility"},"type":"array"},"serviceLevel":{"description":"DELIVERY: The parcel will reach the recipient according to the cycle time of the carrier, typically 1-3 days when shipping nationaly. SAMEDAY: The parcel will reach the recipient the same day when ordering.","enum":["DELIVERY","SAMEDAY"],"type":"string"}},"type":"object","title":"DeliveryPreferencesShipping","description":"DeliveryPreferencesShipping"},"CarrierProductCategory":{"description":"Desired product class to choose when ordering a label, this is not a carrier specific value","enum":["STANDARD","EXPRESS","VALUE","FORWARDING"],"type":"string","title":"CarrierProductCategory"},"PreferredCarrier":{"description":"Keys of the preferred carriers to handle out the order","type":"string","title":"PreferredCarrier"},"PreferredCarrierWithProduct":{"additionalProperties":false,"properties":{"carrierKey":{"type":"string"},"carrierProduct":{"type":"string"},"carrierServices":{"items":{"$ref":"#/components/schemas/CarrierServices"},"type":"array"}},"required":["carrierKey"],"title":"PreferredCarrierWithProduct","description":"PreferredCarrierWithProduct"},"CarrierServices":{"description":"Services which should be booked from carrier","enum":["SIGNATURE","CUSTOMER_SIGNATURE","ADULT_SIGNATURE","SATURDAY_DELIVERY","IDENTITY_CHECK_COMPANY","IDENTITY_CHECK_PRIVATE","ADDITIONAL_TRANSPORTATION_INSURANCE"],"type":"string","title":"CarrierServices"},"PreselectedFacility":{"anyOf":[{"required":["facilityRef"]},{"required":["tenantFacilityId"]}],"properties":{"facilityRef":{"description":"Reference to the facility which is supposed to fulfill the order.","type":"string"},"tenantFacilityId":{"description":"Reference to the facility which is supposed to fulfill the order.","type":"string"}},"type":"object","title":"PreselectedFacility","description":"PreselectedFacility"},"OrderLineItemForCreation":{"additionalProperties":false,"properties":{"allowedSubstitutes":{"description":"Array of allowed substitutes for given orderLineItem. If an empty array is provided, no substitute is allowed for this orderLineItem. If allowedSubstitutes is not provided, this configured substitutes on listing level will be available","items":{"$ref":"#/components/schemas/Substitute"},"type":"array"},"article":{"$ref":"#/components/schemas/OrderLineItemArticle"},"customAttributes":{"description":"Attributes that can be added to the orderline. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"measurementUnitKey":{"description":"Identifier for items unit of measurement.","type":"string"},"measurementValidation":{"$ref":"#/components/schemas/MeasurementValidation"},"quantity":{"description":"quantity of the specific article that has been ordered","format":"int64","minimum":1,"type":"integer"},"scannableCodes":{"items":{"description":"Codes, that identify the article","type":"string"},"type":"array"},"secondaryMeasurementUnitKey":{"description":"Secondary identifier for items unit of measurement.","type":"string"},"secondaryQuantity":{"description":"Secondary quantity of the specific article that has been ordered","format":"int64","minimum":0,"type":"integer"},"shopPrice":{"description":"@deprecated price per piece of this line item Use attributes instead (see: <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/customization-via-attributes\">customization by attributes</a>)\n","type":"number"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"type":"array"}},"required":["article","quantity"],"type":"object","title":"OrderLineItemForCreation","description":"OrderLineItemForCreation"},"Substitute":{"properties":{"attributes":{"items":{"$ref":"#/components/schemas/SubstituteAttributeItem"},"maxItems":40,"type":"array"},"imageUrl":{"type":"string"},"measurementUnitKey":{"description":"Identifier for items unit of measurement.","type":"string"},"measurementValidation":{"$ref":"#/components/schemas/MeasurementValidation"},"priority":{"description":"This field allows you to rank substitutes against each other. The lowest number is the most preferrable substitute.","minimum":0,"type":"number"},"scannableCodes":{"items":{"description":"Strings, that identify the substitute article","type":"string"},"type":"array"},"secondaryMeasurementUnitKey":{"description":"Identifier for items unit of measurement. E.g. measurementUnitKey is pieces and secondaryQuantity is gram","type":"string"},"tenantArticleId":{"type":"string"},"title":{"type":"string"}},"required":["title","tenantArticleId"],"type":"object","xml":{"name":"Substitute"},"title":"Substitute","description":"Substitute"},"SubstituteAttributeItem":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItem"}],"title":"SubstituteAttributeItem","description":"SubstituteAttributeItem"},"ArticleAttributeItem":{"properties":{"valueLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category"},"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category. Excluding for %%subtitle%%"},"category":{"description":"This category is used by OCFF to customize implemented processes.\nCategorized attributes are used by various processes and tools\nthroughout our platform. For a complete list of possible categories\nand the correct use of those please refer to the documentation.\nDefault value: miscellaneous","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice"],"type":"string"},"context":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItemContext"}],"description":"Context for salesPrice category and valuePerUnit key. Can only be set via Listing endpoints."},"key":{"description":"Providing the key %%subtitle%% (see example) here will cause the\nvalue to appear for example in the App directly under the title.\nWith all other attributes also the key will be displayed in the\n clients.","minLength":1,"type":"string"},"priority":{"description":"This value gives the priority in the respective attribute category.\nThe lower the value the higher is the priority, e.g. priority 1 is\nhigher than priority 10. Attributes that have the highest priority\nmight be selected for display in different articles of OCFF. Default\nValue is 1001. For details please contact the product owners.","format":"int64","maximum":1001,"minimum":1,"type":"integer"},"type":{"default":"STRING","description":"The type of the attribute.","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"minLength":1,"type":"string"}},"required":["key","value"],"title":"ArticleAttributeItem","type":"object","description":"ArticleAttributeItem"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"ArticleAttributeItemContext":{"properties":{"type":{"description":"Indicates the entity type the value refers to.","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"value":{"description":"Holds the reference to the entity the attribute refers to.","minLength":1,"type":"string"}},"required":["type","value"],"title":"ArticleAttributeItemContext","type":"object","description":"ArticleAttributeItemContext"},"MeasurementValidation":{"properties":{"overPickHardTolerancePercentage":{"description":"Allowed hard over pick deviation tolerance.","minimum":0,"type":"number"},"overPickSoftTolerancePercentage":{"description":"Allowed soft over pick deviation tolerance.","minimum":0,"type":"number"},"shortPickHardTolerancePercentage":{"description":"Allowed hard short pick deviation tolerance.","maximum":100,"minimum":0,"type":"number"},"shortPickSoftTolerancePercentage":{"description":"Allowed soft short pick deviation tolerance.","maximum":100,"minimum":0,"type":"number"}},"title":"MeasurementValidation","description":"MeasurementValidation"},"OrderLineItemArticle":{"allOf":[{"$ref":"#/components/schemas/AbstractArticle"},{"properties":{"attributes":{"description":"Attributes are used in the fulfillmenttools platform in order to impose a certain degree of customization to a process, such as improving the appearance in the platform and clients.\nDetails about usage can be found <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/customization-via-attributes\">here</a>","items":{"$ref":"#/components/schemas/OrderArticleAttributeItem"},"type":"array"},"customAttributes":{"deprecated":true,"description":"@deprecated Please use customAttributes in OrderLineItem.\n","nullable":true,"type":"object"}},"type":"object"}],"xml":{"name":"OrderLineItemArticle"},"title":"OrderLineItemArticle","description":"OrderLineItemArticle"},"AbstractArticle":{"properties":{"titleLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the title of the product"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"imageUrl":{"description":"A web link to a picture of this article. Please make sure that no authentication is required to fetch the image!","type":"string"},"tenantArticleId":{"description":"This is a reference to an article number","type":"string"},"title":{"description":"The title of the product","type":"string"},"weight":{"description":"weight value is in gram","minimum":0,"type":"number"}},"required":["tenantArticleId","title"],"title":"AbstractArticle","type":"object","description":"AbstractArticle"},"OrderArticleAttributeItem":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItem"}],"title":"OrderArticleAttributeItem","description":"OrderArticleAttributeItem"},"TagReference":{"properties":{"id":{"type":"string"},"value":{"type":"string"}},"required":["value","id"],"title":"TagReference","description":"TagReference"},"OrderPaymentInfoForCreation":{"additionalProperties":false,"properties":{"methodLocalized":{"$ref":"#/components/schemas/LocaleString"},"currency":{"description":"The currency in which the consumer paid with","type":"string"}},"type":"object","title":"OrderPaymentInfoForCreation","description":"OrderPaymentInfoForCreation"},"OrderPromisesOptions":{"additionalProperties":false,"properties":{"validUntil":{"description":"The date the promised order will become invalid and is cancelled automatically, when not transformed into an actual order.","format":"date-time","type":"string"}},"required":["validUntil"],"type":"object","xml":{"name":"OrderPromisesOptions"},"title":"OrderPromisesOptions","description":"OrderPromisesOptions"},"OrderStatus":{"description":"The state of the order. Initially it is OPEN.","enum":["OPEN","CANCELLED","PROMISED","LOCKED","OBSOLETE"],"type":"string","title":"OrderStatus"},"OrderStatusReason":{"description":"Order Status Reason.","properties":{"reason":{"description":"The reason for setting this order status","type":"string"},"status":{"$ref":"#/components/schemas/OrderStatus"}},"required":["reason","status"],"title":"OrderStatusReason"},"Sticker":{"additionalProperties":false,"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString","description":"Dictionary of possible translations, min 1 entry, max 14 characters per description"},"color":{"description":"optional color coding for the sticker","type":"string"},"key":{"description":"unique identifier","type":"string"},"name":{"description":"Translated display name","type":"string"},"priority":{"description":"priority of the given sticker","format":"int64","maximum":10000,"minimum":1,"type":"integer"}},"required":["key","nameLocalized","priority"],"title":"Sticker","description":"Sticker"},"ResourceInvestment":{"description":"How much resources should be invested during the optimization?","properties":{"level":{"description":"[abstract values]: how many resources should we invest in optimization. With a higher level the results will be better, nevertheless we need to invest more time for the optimization.","exclusiveMinimum":true,"maximum":1,"minimum":0,"type":"number"}},"required":["level"],"type":"object","title":"ResourceInvestment"},"SourcingOptionsResponse":{"properties":{"id":{"description":"Id referring optimizations runId","type":"string"},"result":{"$ref":"#/components/schemas/SourcingOptionsResult"}},"required":["id","result"],"type":"object","title":"SourcingOptionsResponse","description":"SourcingOptionsResponse"},"SourcingOptionsResult":{"properties":{"options":{"items":{"$ref":"#/components/schemas/SourcingOption"},"type":"array"}},"required":["options"],"type":"object","title":"SourcingOptionsResult","description":"SourcingOptionsResult"},"SourcingOption":{"properties":{"estimatedDeliveryDate":{"description":"Estimated delivery date in format YYYY-MM-DD.","format":"date","pattern":"^\\d{4}-\\d{2}-\\d{2}$","type":"string"},"id":{"type":"string"},"listingDetails":{"items":{"$ref":"#/components/schemas/SourcingOptionListingDetails"},"type":"array"},"nodes":{"items":{"$ref":"#/components/schemas/SourcingOptionNode"},"type":"array"},"nonAssignedOrderLineItems":{"items":{"$ref":"#/components/schemas/HandledItem"},"type":"array"},"ratingResults":{"items":{"$ref":"#/components/schemas/RatingResult"},"type":"array"},"runId":{"type":"string"},"totalCosts":{"$ref":"#/components/schemas/SourcingOptionCosts"},"totalPenalty":{"description":"The total calculated penalty we calculated for this option","type":"number"},"transfers":{"items":{"$ref":"#/components/schemas/SourcingOptionTransfer"},"type":"array"},"validUntil":{"description":"The latest date at which this option is still valid in UTC (ISO8601 format).","type":"string"}},"required":["id","runId","totalPenalty","nodes","transfers","ratingResults"],"type":"object","title":"SourcingOption","description":"SourcingOption"},"SourcingOptionListingDetails":{"properties":{"customAttributes":{"additionalProperties":true,"type":"object"},"facilityRef":{"type":"string"},"tenantArticleId":{"type":"string"}},"title":"SourcingOptionListingDetails","description":"SourcingOptionListingDetails"},"SourcingOptionNode":{"properties":{"facilityRef":{"type":"string"},"id":{"description":"id of this node, unique for this Sourcing Option Responses","type":"string"},"isPickUpLocation":{"description":"Indicates if this node is a pick up location","type":"boolean"},"lineItems":{"items":{"$ref":"#/components/schemas/HandledItem"},"type":"array"},"tenantFacilityId":{"type":"string"},"type":{"$ref":"#/components/schemas/NodeType"}},"required":["id","type","lineItems"],"type":"object","title":"SourcingOptionNode","description":"SourcingOptionNode"},"HandledItem":{"properties":{"quantity":{"minimum":1,"type":"number"},"tenantArticleId":{"type":"string"}},"required":["tenantArticleId"],"type":"object","title":"HandledItem","description":"HandledItem"},"NodeType":{"enum":["SUPPLIER","MANAGED_FACILITY","CUSTOMER"],"type":"string","title":"NodeType","description":"NodeType"},"RatingResult":{"properties":{"id":{"type":"string"},"name":{"type":"string"},"penalty":{"type":"number"},"routingStrategyNodeId":{"type":"string"},"type":{"description":"The type of the rating, e.g. 'StandardRating' or 'ToolkitRating'","type":"string"}},"required":["penalty","id","type","routingStrategyNodeId","name"],"title":"RatingResult","description":"RatingResult"},"SourcingOptionCosts":{"additionalProperties":false,"properties":{"salesPrices":{"description":"Sales prices and applied discounts of the individual items in the solution. Only present if costComponentRating is enabled.","items":{"$ref":"#/components/schemas/SourcingOptionSalesPrice"},"type":"array"},"totalCosts":{"$ref":"#/components/schemas/Money"},"totalSalesPriceAmount":{"$ref":"#/components/schemas/Money"},"totalShippingCosts":{"$ref":"#/components/schemas/ShippingCosts"}},"required":["salesPrices"],"type":"object","title":"SourcingOptionCosts","description":"SourcingOptionCosts"},"SourcingOptionSalesPrice":{"additionalProperties":false,"properties":{"amount":{"description":"The amount of the item in the solution","type":"number"},"discount":{"items":{"oneOf":[{"$ref":"#/components/schemas/FacilityDiscountRelative"},{"$ref":"#/components/schemas/FacilityDiscountAbsoluteForCreation"}]},"type":"array"},"salesPricePerUnitWithDiscountAmount":{"$ref":"#/components/schemas/Money","description":"The sales price per unit with discount"},"salesPricePerUnitWithoutDiscountAmount":{"$ref":"#/components/schemas/Money","description":"The sales price per unit without discount"},"sourceFacilityRef":{"description":"The facility reference of the source facility","type":"string"},"sourceTenantFacilityId":{"description":"The tenant facility id of the source facility","type":"string"},"tenantArticleId":{"description":"The tenant article id of the item","type":"string"}},"required":["tenantArticleId","salesPricePerUnitWithoutDiscountAmount","amount","sourceFacilityRef"],"type":"object","title":"SourcingOptionSalesPrice","description":"SourcingOptionSalesPrice"},"FacilityDiscountRelative":{"additionalProperties":false,"properties":{"type":{"enum":["RELATIVE"],"type":"string"},"value":{"description":"Provided discount in percent.","minimum":0.1,"type":"number"}},"required":["type","value"],"type":"object","title":"FacilityDiscountRelative","description":"FacilityDiscountRelative"},"FacilityDiscountAbsoluteForCreation":{"additionalProperties":false,"properties":{"type":{"enum":["ABSOLUTE"],"type":"string"},"values":{"items":{"$ref":"#/components/schemas/FacilityDiscountAbsoluteElement"},"minItems":1,"type":"array"}},"required":["type","values"],"type":"object","title":"FacilityDiscountAbsoluteForCreation","description":"FacilityDiscountAbsoluteForCreation"},"FacilityDiscountAbsoluteElement":{"additionalProperties":false,"properties":{"currency":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}],"description":"The currency of the price as an ISO 4217 code."},"decimalPlaces":{"description":"Number of decimal places for the given currency","minimum":0,"type":"integer"},"value":{"description":"Total value that should be shipped. Value is configured in the smallest subunit, e.g. cents.","minimum":1,"type":"integer"}},"required":["value","currency","decimalPlaces"],"type":"object","title":"FacilityDiscountAbsoluteElement","description":"FacilityDiscountAbsoluteElement"},"CurrencyCode":{"description":"The currency code is a three-letter code that represents a currency in the ISO 4217 standard.","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"],"type":"string","title":"CurrencyCode"},"Money":{"properties":{"currency":{"$ref":"#/components/schemas/CurrencyCode"},"decimalPlaces":{"type":"number"},"value":{"type":"number"}},"required":["value","currency"],"type":"object","xml":{"name":"Money"},"title":"Money","description":"Money"},"ShippingCosts":{"additionalProperties":false,"properties":{"packageCosts":{"description":"Costs of the individual packaging units","items":{"$ref":"#/components/schemas/PackageCost"},"type":"array"},"totalTransportCostAmount":{"$ref":"#/components/schemas/Money","description":"The total transport cost amount"}},"required":["totalTransportCostAmount"],"type":"object","title":"ShippingCosts","description":"ShippingCosts"},"PackageCost":{"additionalProperties":false,"properties":{"costAmount":{"$ref":"#/components/schemas/Money","description":"The total package cost amount"},"packageName":{"description":"Name of the package","type":"string"}},"required":["packageName","costAmount"],"type":"object","title":"PackageCost","description":"PackageCost"},"SourcingOptionTransfer":{"properties":{"carrier":{"properties":{"carrierKey":{"type":"string"},"carrierName":{"type":"string"}},"type":"object"},"facilityConnectionRef":{"type":"string"},"lineItems":{"items":{"$ref":"#/components/schemas/HandledItem"},"type":"array"},"packagingInformation":{"items":{"$ref":"#/components/schemas/SourcingOptionsTransferPackagingInformation"},"type":"array"},"sourceNodeRef":{"type":"string"},"targetNodeRef":{"type":"string"},"timeLine":{"$ref":"#/components/schemas/TransferTimeLine"}},"required":["sourceNodeRef","targetNodeRef","lineItems","packagingInformation"],"type":"object","title":"SourcingOptionTransfer","description":"SourcingOptionTransfer"},"SourcingOptionsTransferPackagingInformation":{"properties":{"packagingUnit":{"$ref":"#/components/schemas/SourcingOptionsTransferPackagingUnit"},"packedItems":{"items":{"$ref":"#/components/schemas/HandledItem"},"type":"array"},"totalCosts":{"$ref":"#/components/schemas/Money","description":"Total costs for this packaging information"}},"required":["packagingUnit","totalCosts","packedItems"],"type":"object","title":"SourcingOptionsTransferPackagingInformation","description":"SourcingOptionsTransferPackagingInformation"},"SourcingOptionsTransferPackagingUnit":{"properties":{"dimensions":{"$ref":"#/components/schemas/SourcingOptionsTransferPackagingUnitDimensions"},"maxItemQuantity":{"description":"The maximum number of items that can be packed in this packaging unit","type":"integer"},"name":{"type":"string"},"packagingUnitRef":{"type":"string"},"prices":{"items":{"$ref":"#/components/schemas/SourcingOptionsTransferDeliveryCost"},"type":"array"},"priority":{"description":"The priority of this packaging unit, lower values are preferred","type":"integer"},"tenantPackagingUnitId":{"type":"string"},"transitTime":{"$ref":"#/components/schemas/SourcingOptionsTransferTransitTime"},"volumeBufferInPercent":{"description":"The volume buffer in percent for this packaging unit","type":"number"}},"required":["name","priority"],"type":"object","title":"SourcingOptionsTransferPackagingUnit","description":"SourcingOptionsTransferPackagingUnit"},"SourcingOptionsTransferPackagingUnitDimensions":{"properties":{"height":{"type":"number"},"length":{"type":"number"},"maxWeightInGram":{"type":"number"},"width":{"type":"number"}},"type":"object","title":"SourcingOptionsTransferPackagingUnitDimensions","description":"SourcingOptionsTransferPackagingUnitDimensions"},"SourcingOptionsTransferDeliveryCost":{"allOf":[{"$ref":"#/components/schemas/Money"}],"properties":{"deliveryCostCoefficient":{"$ref":"#/components/schemas/SourcingOptionsTransferDeliverCostCoefficient"}},"type":"object","xml":{"name":"SourcingOptionsTransferDeliveryCost"},"title":"SourcingOptionsTransferDeliveryCost","description":"SourcingOptionsTransferDeliveryCost"},"SourcingOptionsTransferDeliverCostCoefficient":{"properties":{"measurementUnit":{"$ref":"#/components/schemas/CostCoefficientMeasurementUnit"},"value":{"type":"number"}},"required":["value","measurementUnit"],"type":"object","title":"SourcingOptionsTransferDeliverCostCoefficient","description":"SourcingOptionsTransferDeliverCostCoefficient"},"CostCoefficientMeasurementUnit":{"description":"The unit of measurement for the coefficient","enum":["GRAM"],"type":"string","title":"CostCoefficientMeasurementUnit"},"SourcingOptionsTransferTransitTime":{"properties":{"maxTransitDays":{"type":"number"},"minTransitDays":{"type":"number"}},"required":["minTransitDays","maxTransitDays"],"type":"object","title":"SourcingOptionsTransferTransitTime","description":"SourcingOptionsTransferTransitTime"},"TransferTimeLine":{"properties":{"calculationStartPoint":{"description":"The date and time from which all time-related calculations for the corresponding items are based.","format":"date-time","type":"string"},"earliestPickingStart":{"description":"The earliest date and time when picking for the corresponding items can begin.","format":"date-time","type":"string"},"earliestPossibleDeliveryTime":{"description":"The earliest date at which the corresponding items can be delivered to the recipient.","format":"date-time","type":"string"},"latestPickingStart":{"description":"The latest date and time when picking for the corresponding items can begin.","format":"date-time","type":"string"},"targetTime":{"description":"The desired date and time by which the corresponding items should be fulfilled.","format":"date-time","type":"string"},"usedTransitTimeInDays":{"description":"The raw amount of transit days used for timeline calculation","minimum":0,"type":"integer"}},"required":["calculationStartPoint","earliestPickingStart","latestPickingStart","targetTime"],"type":"object","xml":{"name":"TransferTimeLine"},"title":"TransferTimeLine","description":"TransferTimeLine"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/routing/sourcingoptions":{"post":{"operationId":"createSourcingOptionsRequest","parameters":[{"description":"This part of the API is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />respond with mock","in":"query","name":"returnMockResponse","required":false,"schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SourcingOptionsRequest"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SourcingOptionsResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/SourcingOptionsResponse"}}},"description":"Sourcing Option successfully created"},"400":{"description":"Validation exception"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Create sourcing option","tags":["Sourcing Options (DOMS)"]}}}}
```

## GET /api/routing/sourcingoptions/{sourcingOptionsRequestId}

> Get sourcing option

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for processing the routing decision logs.","name":"Sourcing Options (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"SourcingOptionsResponse":{"properties":{"id":{"description":"Id referring optimizations runId","type":"string"},"result":{"$ref":"#/components/schemas/SourcingOptionsResult"}},"required":["id","result"],"type":"object","title":"SourcingOptionsResponse","description":"SourcingOptionsResponse"},"SourcingOptionsResult":{"properties":{"options":{"items":{"$ref":"#/components/schemas/SourcingOption"},"type":"array"}},"required":["options"],"type":"object","title":"SourcingOptionsResult","description":"SourcingOptionsResult"},"SourcingOption":{"properties":{"estimatedDeliveryDate":{"description":"Estimated delivery date in format YYYY-MM-DD.","format":"date","pattern":"^\\d{4}-\\d{2}-\\d{2}$","type":"string"},"id":{"type":"string"},"listingDetails":{"items":{"$ref":"#/components/schemas/SourcingOptionListingDetails"},"type":"array"},"nodes":{"items":{"$ref":"#/components/schemas/SourcingOptionNode"},"type":"array"},"nonAssignedOrderLineItems":{"items":{"$ref":"#/components/schemas/HandledItem"},"type":"array"},"ratingResults":{"items":{"$ref":"#/components/schemas/RatingResult"},"type":"array"},"runId":{"type":"string"},"totalCosts":{"$ref":"#/components/schemas/SourcingOptionCosts"},"totalPenalty":{"description":"The total calculated penalty we calculated for this option","type":"number"},"transfers":{"items":{"$ref":"#/components/schemas/SourcingOptionTransfer"},"type":"array"},"validUntil":{"description":"The latest date at which this option is still valid in UTC (ISO8601 format).","type":"string"}},"required":["id","runId","totalPenalty","nodes","transfers","ratingResults"],"type":"object","title":"SourcingOption","description":"SourcingOption"},"SourcingOptionListingDetails":{"properties":{"customAttributes":{"additionalProperties":true,"type":"object"},"facilityRef":{"type":"string"},"tenantArticleId":{"type":"string"}},"title":"SourcingOptionListingDetails","description":"SourcingOptionListingDetails"},"SourcingOptionNode":{"properties":{"facilityRef":{"type":"string"},"id":{"description":"id of this node, unique for this Sourcing Option Responses","type":"string"},"isPickUpLocation":{"description":"Indicates if this node is a pick up location","type":"boolean"},"lineItems":{"items":{"$ref":"#/components/schemas/HandledItem"},"type":"array"},"tenantFacilityId":{"type":"string"},"type":{"$ref":"#/components/schemas/NodeType"}},"required":["id","type","lineItems"],"type":"object","title":"SourcingOptionNode","description":"SourcingOptionNode"},"HandledItem":{"properties":{"quantity":{"minimum":1,"type":"number"},"tenantArticleId":{"type":"string"}},"required":["tenantArticleId"],"type":"object","title":"HandledItem","description":"HandledItem"},"NodeType":{"enum":["SUPPLIER","MANAGED_FACILITY","CUSTOMER"],"type":"string","title":"NodeType","description":"NodeType"},"RatingResult":{"properties":{"id":{"type":"string"},"name":{"type":"string"},"penalty":{"type":"number"},"routingStrategyNodeId":{"type":"string"},"type":{"description":"The type of the rating, e.g. 'StandardRating' or 'ToolkitRating'","type":"string"}},"required":["penalty","id","type","routingStrategyNodeId","name"],"title":"RatingResult","description":"RatingResult"},"SourcingOptionCosts":{"additionalProperties":false,"properties":{"salesPrices":{"description":"Sales prices and applied discounts of the individual items in the solution. Only present if costComponentRating is enabled.","items":{"$ref":"#/components/schemas/SourcingOptionSalesPrice"},"type":"array"},"totalCosts":{"$ref":"#/components/schemas/Money"},"totalSalesPriceAmount":{"$ref":"#/components/schemas/Money"},"totalShippingCosts":{"$ref":"#/components/schemas/ShippingCosts"}},"required":["salesPrices"],"type":"object","title":"SourcingOptionCosts","description":"SourcingOptionCosts"},"SourcingOptionSalesPrice":{"additionalProperties":false,"properties":{"amount":{"description":"The amount of the item in the solution","type":"number"},"discount":{"items":{"oneOf":[{"$ref":"#/components/schemas/FacilityDiscountRelative"},{"$ref":"#/components/schemas/FacilityDiscountAbsoluteForCreation"}]},"type":"array"},"salesPricePerUnitWithDiscountAmount":{"$ref":"#/components/schemas/Money","description":"The sales price per unit with discount"},"salesPricePerUnitWithoutDiscountAmount":{"$ref":"#/components/schemas/Money","description":"The sales price per unit without discount"},"sourceFacilityRef":{"description":"The facility reference of the source facility","type":"string"},"sourceTenantFacilityId":{"description":"The tenant facility id of the source facility","type":"string"},"tenantArticleId":{"description":"The tenant article id of the item","type":"string"}},"required":["tenantArticleId","salesPricePerUnitWithoutDiscountAmount","amount","sourceFacilityRef"],"type":"object","title":"SourcingOptionSalesPrice","description":"SourcingOptionSalesPrice"},"FacilityDiscountRelative":{"additionalProperties":false,"properties":{"type":{"enum":["RELATIVE"],"type":"string"},"value":{"description":"Provided discount in percent.","minimum":0.1,"type":"number"}},"required":["type","value"],"type":"object","title":"FacilityDiscountRelative","description":"FacilityDiscountRelative"},"FacilityDiscountAbsoluteForCreation":{"additionalProperties":false,"properties":{"type":{"enum":["ABSOLUTE"],"type":"string"},"values":{"items":{"$ref":"#/components/schemas/FacilityDiscountAbsoluteElement"},"minItems":1,"type":"array"}},"required":["type","values"],"type":"object","title":"FacilityDiscountAbsoluteForCreation","description":"FacilityDiscountAbsoluteForCreation"},"FacilityDiscountAbsoluteElement":{"additionalProperties":false,"properties":{"currency":{"allOf":[{"$ref":"#/components/schemas/CurrencyCode"}],"description":"The currency of the price as an ISO 4217 code."},"decimalPlaces":{"description":"Number of decimal places for the given currency","minimum":0,"type":"integer"},"value":{"description":"Total value that should be shipped. Value is configured in the smallest subunit, e.g. cents.","minimum":1,"type":"integer"}},"required":["value","currency","decimalPlaces"],"type":"object","title":"FacilityDiscountAbsoluteElement","description":"FacilityDiscountAbsoluteElement"},"CurrencyCode":{"description":"The currency code is a three-letter code that represents a currency in the ISO 4217 standard.","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"],"type":"string","title":"CurrencyCode"},"Money":{"properties":{"currency":{"$ref":"#/components/schemas/CurrencyCode"},"decimalPlaces":{"type":"number"},"value":{"type":"number"}},"required":["value","currency"],"type":"object","xml":{"name":"Money"},"title":"Money","description":"Money"},"ShippingCosts":{"additionalProperties":false,"properties":{"packageCosts":{"description":"Costs of the individual packaging units","items":{"$ref":"#/components/schemas/PackageCost"},"type":"array"},"totalTransportCostAmount":{"$ref":"#/components/schemas/Money","description":"The total transport cost amount"}},"required":["totalTransportCostAmount"],"type":"object","title":"ShippingCosts","description":"ShippingCosts"},"PackageCost":{"additionalProperties":false,"properties":{"costAmount":{"$ref":"#/components/schemas/Money","description":"The total package cost amount"},"packageName":{"description":"Name of the package","type":"string"}},"required":["packageName","costAmount"],"type":"object","title":"PackageCost","description":"PackageCost"},"SourcingOptionTransfer":{"properties":{"carrier":{"properties":{"carrierKey":{"type":"string"},"carrierName":{"type":"string"}},"type":"object"},"facilityConnectionRef":{"type":"string"},"lineItems":{"items":{"$ref":"#/components/schemas/HandledItem"},"type":"array"},"packagingInformation":{"items":{"$ref":"#/components/schemas/SourcingOptionsTransferPackagingInformation"},"type":"array"},"sourceNodeRef":{"type":"string"},"targetNodeRef":{"type":"string"},"timeLine":{"$ref":"#/components/schemas/TransferTimeLine"}},"required":["sourceNodeRef","targetNodeRef","lineItems","packagingInformation"],"type":"object","title":"SourcingOptionTransfer","description":"SourcingOptionTransfer"},"SourcingOptionsTransferPackagingInformation":{"properties":{"packagingUnit":{"$ref":"#/components/schemas/SourcingOptionsTransferPackagingUnit"},"packedItems":{"items":{"$ref":"#/components/schemas/HandledItem"},"type":"array"},"totalCosts":{"$ref":"#/components/schemas/Money","description":"Total costs for this packaging information"}},"required":["packagingUnit","totalCosts","packedItems"],"type":"object","title":"SourcingOptionsTransferPackagingInformation","description":"SourcingOptionsTransferPackagingInformation"},"SourcingOptionsTransferPackagingUnit":{"properties":{"dimensions":{"$ref":"#/components/schemas/SourcingOptionsTransferPackagingUnitDimensions"},"maxItemQuantity":{"description":"The maximum number of items that can be packed in this packaging unit","type":"integer"},"name":{"type":"string"},"packagingUnitRef":{"type":"string"},"prices":{"items":{"$ref":"#/components/schemas/SourcingOptionsTransferDeliveryCost"},"type":"array"},"priority":{"description":"The priority of this packaging unit, lower values are preferred","type":"integer"},"tenantPackagingUnitId":{"type":"string"},"transitTime":{"$ref":"#/components/schemas/SourcingOptionsTransferTransitTime"},"volumeBufferInPercent":{"description":"The volume buffer in percent for this packaging unit","type":"number"}},"required":["name","priority"],"type":"object","title":"SourcingOptionsTransferPackagingUnit","description":"SourcingOptionsTransferPackagingUnit"},"SourcingOptionsTransferPackagingUnitDimensions":{"properties":{"height":{"type":"number"},"length":{"type":"number"},"maxWeightInGram":{"type":"number"},"width":{"type":"number"}},"type":"object","title":"SourcingOptionsTransferPackagingUnitDimensions","description":"SourcingOptionsTransferPackagingUnitDimensions"},"SourcingOptionsTransferDeliveryCost":{"allOf":[{"$ref":"#/components/schemas/Money"}],"properties":{"deliveryCostCoefficient":{"$ref":"#/components/schemas/SourcingOptionsTransferDeliverCostCoefficient"}},"type":"object","xml":{"name":"SourcingOptionsTransferDeliveryCost"},"title":"SourcingOptionsTransferDeliveryCost","description":"SourcingOptionsTransferDeliveryCost"},"SourcingOptionsTransferDeliverCostCoefficient":{"properties":{"measurementUnit":{"$ref":"#/components/schemas/CostCoefficientMeasurementUnit"},"value":{"type":"number"}},"required":["value","measurementUnit"],"type":"object","title":"SourcingOptionsTransferDeliverCostCoefficient","description":"SourcingOptionsTransferDeliverCostCoefficient"},"CostCoefficientMeasurementUnit":{"description":"The unit of measurement for the coefficient","enum":["GRAM"],"type":"string","title":"CostCoefficientMeasurementUnit"},"SourcingOptionsTransferTransitTime":{"properties":{"maxTransitDays":{"type":"number"},"minTransitDays":{"type":"number"}},"required":["minTransitDays","maxTransitDays"],"type":"object","title":"SourcingOptionsTransferTransitTime","description":"SourcingOptionsTransferTransitTime"},"TransferTimeLine":{"properties":{"calculationStartPoint":{"description":"The date and time from which all time-related calculations for the corresponding items are based.","format":"date-time","type":"string"},"earliestPickingStart":{"description":"The earliest date and time when picking for the corresponding items can begin.","format":"date-time","type":"string"},"earliestPossibleDeliveryTime":{"description":"The earliest date at which the corresponding items can be delivered to the recipient.","format":"date-time","type":"string"},"latestPickingStart":{"description":"The latest date and time when picking for the corresponding items can begin.","format":"date-time","type":"string"},"targetTime":{"description":"The desired date and time by which the corresponding items should be fulfilled.","format":"date-time","type":"string"},"usedTransitTimeInDays":{"description":"The raw amount of transit days used for timeline calculation","minimum":0,"type":"integer"}},"required":["calculationStartPoint","earliestPickingStart","latestPickingStart","targetTime"],"type":"object","xml":{"name":"TransferTimeLine"},"title":"TransferTimeLine","description":"TransferTimeLine"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/routing/sourcingoptions/{sourcingOptionsRequestId}":{"get":{"operationId":"getSourcingOption","parameters":[{"description":"Id of the sourcing option request","in":"path","name":"sourcingOptionsRequestId","required":true,"schema":{"type":"string"}},{"description":"This part of the API is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />respond with mock","in":"query","name":"returnMockResponse","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SourcingOptionsResponse"}},"application/xml":{"schema":{"$ref":"#/components/schemas/SourcingOptionsResponse"}}},"description":"Sourcing Options successfully created"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Get sourcing option","tags":["Sourcing Options (DOMS)"]}}}}
```
